
#
# a minimal test of the rowcolumn widget
#

proc quitCB {form cbs} {
    VtClose
}

proc toggleChangedCB {cbs} {
	global label

	set wl [split [lindex $cbs 0] .]
	set wi [expr "[llength $wl] - 1"]
	VtSetValues $label \
		-label "[lindex $wl $wi] Value: [lindex $cbs 1]"
}

set fn [VtOpen testtoggles]

set fn [VtStartForm $fn.toggles -title "Toggles" \
       -xmArgs "XmNmarginWidth 10
                XmNmarginHeight 10
	        XmNbackground green"]

set rc1 [VtRowColumn $fn.rc1 -packing NONE ]

set tog ""
set increm 20
if { [VtInfo -charm] } {
    set increm 1
}


foreach i {0 1 2 } {
        set j [expr $i * $increm]
   	set tog [VtToggleButton $rc1.tog$i -label "Toggle $i" \
		-callback toggleChangedCB \
		-xmArgs "XmNx [expr $i*$increm] XmNy $j"]
}

set rc2 [VtRowColumn $fn.rc2 -below $rc1 -packing COLUMN \
	 -xmArgs "XmNbackground pink" ]

foreach i {4 5 6} {
   	set tog [VtToggleButton $rc2.tog$i -label "Toggle $i" -value 1 \
		-callback toggleChangedCB]
}

set rc3 [VtRowColumn $fn.rc3 -below $rc2 -packing TIGHT ]

foreach i {7 8 9} {
   	set tog [VtToggleButton $rc3.tog$i -label "Toggle $i" -value 0 \
		-callback toggleChangedCB]
}

set label [VtLabel $fn.label -label "No Callback Yet" -below $rc3]

VtPushButton $fn.quit -callback "quitCB $fn" \
    -below $label \
    -leftSide FORM\
    -rightSide FORM\
    -topOffset 10\
    -leftOffset 5 \
    -rightOffset 5\
    -CHARM_topOffset 1\
    -CHARM_leftOffset 2\
    -CHARM_rightOffset 2

VtShow $fn
VtMainLoop

